Available in Classic and VPC
Delete an SSL certificate.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| DELETE | /api/v2/certificate/deleteCertificate/{certificateNo} |
Request headers
For information about the headers common to all Certificate Manager APIs, see Certificate Manager request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
certificateNo |
String | Required | Certificate number
|
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
certificateName |
String | Required | Certificate name
|
Request example
The request example is as follows:
curl --location --request DELETE 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/deleteCertificate/30728?certificateName=zero-certi' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'accept: application/json'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
returnCode |
String | - | Response code |
returnMessage |
String | - | Response message |
totalRows |
Integer | - | Total number of lists searched |
Response status codes
For information about the HTTP status codes common to all Certificate Manager APIs, see Certificate Manager response status codes.
Response example
The response example is as follows:
{
"returnCode": "0",
"returnMessage": "Success",
"totalRows": 0
}